0 Пользователей и 1 Гость просматривают эту тему.
  • 7 Ответов
  • 777 Просмотров
*

beren

  • Новичок
  • 7
  • 0 / 0
Всем привет. Хочу перенести сайт Joomla с Ubuntu 16.04.5 LTS на Ubuntu 18.04.2 LTS и установить последнюю версию Joomla.

Правильно так ?:

1) На Joomla установить Akeeba Backup
2) Забэкапить c помощью Akeeba Backup
3) На Ubuntu 18.04.2 установить apache, MySQL, последнюю версию Joomla
4) Восстановить с помощью akeeba kickstart
*

videoruslan

  • Захожу иногда
  • 85
  • 2 / 0
Нет.
На новом сервере закинуть архив в корень
Скачать k:ckstart.php
И восстановить.
А последнюю версию Joomla вам придется помучаться что бы накатить
*

beren

  • Новичок
  • 7
  • 0 / 0
Спасибо.

То есть делаю ?

1) Бэкап с помощью akeeba backup
2) На новом устанавливаю apache, MySQL. В MySQL создаю базу. Joomla не устанавливаю (ни новую версию , ни такую же как на старом)
3) Восстанавливаю с помощью akeeba kickstart
*

voland

  • Легенда
  • 10460
  • 558 / 111
  • Эта строка съедает место на вашем мониторе
Спасибо.

То есть делаю ?

1) Бэкап с помощью akeeba backup
2) На новом устанавливаю apache, MySQL. В MySQL создаю базу. Joomla не устанавливаю (ни новую версию , ни такую же как на старом)
3) Восстанавливаю с помощью akeeba kickstart
Да. Но если при установке указывать юзера к БД с полными правами (обычно это так на локалке), то даже базу создавать не надо - установщик сам создаст
*

beren

  • Новичок
  • 7
  • 0 / 0
Ещё раз спасибо.

Установил на страрый akeeba , а там
Your version of PHP does not have the mbstring extension installed or activated. Having it enabled is a Joomla! requirement. Joomla! and Akeeba Backup will not work properly. Please ask your host to enable the mbstring extension on PHP 7.0.33-0ubuntu0.16.04.1 running on your server.

В файле   /etc/php/7.0/apache2/php.ini раскомментировал
extension=php_mbstring.dll

Далее systemctl restart apache2

Но в System Information Multibyte String (mbstring) Enabled   No и ошибка висит. Как починить ?
« Последнее редактирование: 15.05.2019, 12:34:09 от beren »
*

beren

  • Новичок
  • 7
  • 0 / 0
Отбой.

Надо было его установить
*

beren

  • Новичок
  • 7
  • 0 / 0
А как бы так сделать, чтобы на новом сервере было php7.3.

Я его установил. Php7.2 удалил.

Но после перезагрузики сервера, php 7.2 всё равно в установленных.)

Это почему ?
*

beren

  • Новичок
  • 7
  • 0 / 0
Надо было удалить старый php.

Всем спасибо. Тема закрыта.
Чтобы оставить сообщение,
Вам необходимо Войти или Зарегистрироваться
 

Перенос только материалов с Joomla 2.5 на Joomla 3.9

Автор dron

Ответов: 7
Просмотров: 860
Последний ответ 09.04.2019, 12:58:16
от dron
Миграция с Joomla 1.5 на Joomla 1.6 с помощью J2XML Importer

Автор Nik

Ответов: 101
Просмотров: 49923
Последний ответ 05.03.2019, 15:59:33
от Den3D
Как подключить готовый сайт разработанный на Joomla к Joomla для корректировки?

Автор Oksana

Ответов: 4
Просмотров: 1081
Последний ответ 09.12.2018, 04:32:44
от SeBun
Обновление Joomla на старой php

Автор Victor333

Ответов: 11
Просмотров: 711
Последний ответ 08.11.2018, 09:38:39
от Victor333
Критическая уязвимость. Joomla 1.7

Автор Juseppe

Ответов: 18
Просмотров: 2441
Последний ответ 25.06.2018, 18:48:32
от vebmaster